public class Condition2 {
	
	public static boolean f(boolean i) {
		return !i;
	}

	public static void main(String[] args) {
		boolean a = false, b = false, c = true;
		
		if (CovMan.branch("Condition2.java", a)) {
			System.out.println("test");
		}
		else if (CovMan.branch("Condition2.java", CovMan.branch("Condition2.java", a) && CovMan.branch("Condition2.java", b))) {
			System.out.println("test");
		}
		
		if (CovMan.branch("Condition2.java", CovMan.branch("Condition2.java", a) && CovMan.branch("Condition2.java", b) || CovMan.branch("Condition2.java", c))) {
			System.out.println("test");
		}
		else if (CovMan.branch("Condition2.java", CovMan.branch("Condition2.java", a) && (CovMan.branch("Condition2.java", b) || CovMan.branch("Condition2.java", c)))) {
			System.out.println("test");
		}
		
		if (CovMan.branch("Condition2.java", f(a && (b || c)))) {
			System.out.println("test");
		}
		else if (CovMan.branch("Condition2.java", (f(a && (b || c)) == true))) {
			System.out.println("test");
		}
		
		if (CovMan.branch("Condition2.java", CovMan.branch("Condition2.java", f(a)) && CovMan.branch("Condition2.java", f(b || c)))) {
			System.out.println("test");
		}
		else if (CovMan.branch("Condition2.java", CovMan.branch("Condition2.java", f(a)) && (CovMan.branch("Condition2.java", f(b)) || CovMan.branch("Condition2.java", f(c))))) {
			System.out.println("test");
		}
		
		if (CovMan.branch("Condition2.java", CovMan.branch("Condition2.java", a) && CovMan.branch("Condition2.java", b) && CovMan.branch("Condition2.java", c))) {
			System.out.println("test");
			CovMan.statement("Condition2.java");
		}
		
		CovMan.statement("Condition2.java");
	}
}
